import request from '@/utils/request'

// 确认气体检测器
export function handleConfirmGasdetector(data) {
  return request({
    url: '/pssr/gasdetector/confirmGasdetector',
    method: 'put',
    data: data
  })
}

// 驳回气体检测器
export function handleTurnDownGasdetector(data) {
  return request({
    url: '/pssr/gasdetector/turnDownGasdetector',
    method: 'put',
    data: data
  })
}

// 查询气体检测器列表
export function listGasdetector(query) {
  return request({
    url: '/pssr/gasdetector/list',
    method: 'get',
    params: query
  })
}

// 查询气体检测器详细
export function getGasdetector(id) {
  return request({
    url: '/pssr/gasdetector/' + id,
    method: 'get'
  })
}

// 新增气体检测器
export function addGasdetector(data) {
  return request({
    url: '/pssr/gasdetector',
    method: 'post',
    data: data
  })
}

// 修改气体检测器
export function updateGasdetector(data) {
  return request({
    url: '/pssr/gasdetector',
    method: 'put',
    data: data
  })
}

//
export function updateGasdetectorBatch(data) {
  return request({
    url: '/pssr/gasdetector/editBatch',
    method: 'put',
    data: data
  })
}


// 删除气体检测器
export function delGasdetector(id) {
  return request({
    url: '/pssr/gasdetector/' + id,
    method: 'delete'
  })
}

// 导出气体检测器
export function exportGasdetector(query) {
  return request({
    url: '/pssr/gasdetector/export',
    method: 'get',
    params: query
  })
}
